Allows specifying neighbor priority through the values high (3), medium (2), low (1). DLSw protocol uses this parameter to determine which DLSw neighbor to choose when several can reach the destination station.
OID reference
telProdNpMonProtDLSwTCPPromisPriority
1.3.6.1.4.1.2007.4.1.2.3.7.10.5.5
Description
Allows specifying neighbor priority through the values high (3), medium (2), low (1). DLSw protocol uses this parameter to determine which DLSw neighbor to choose when several can reach the destination station.
Identification
Identifier and names
- Parent
- 1.3.6.1.4.1.2007.4.1.2.3.7.10.5 (telProdNpMonProtDLSwTCPPromisGroup)
- Node code
- 5
- Node name
- telProdNpMonProtDLSwTCPPromisPriority
- Category
- SNMP management object
- Numeric OID
- 1.3.6.1.4.1.2007.4.1.2.3.7.10.5.5
- URN notation
- urn:oid:1.3.6.1.4.1.2007.4.1.2.3.7.10.5.5
ASN.1, OID-IRI and named path variants
- ASN.1 notation
-
{1 3 6 1 4 1 2007 4 1 2 3 7 10 5 5}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPPromisGroup(5) telProdNpMonProtDLSwTCPPromisPriority(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPPromisGroup(5) telProdNpMonProtDLSwTCPPromisPriority(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPPromisGroup(5) telProdNpMonProtDLSwTCPPromisPriority(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPPromisGroup(5) telProdNpMonProtDLSwTCPPromisPriority(5)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPPromisGroup(5) telProdNpMonProtDLSwTCPPromisPriority(5)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPPromisGroup(5) telProdNpMonProtDLSwTCPPromisPriority(5)}
- {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPPromisGroup(5) telProdNpMonProtDLSwTCPPromisPriority(5)}
- {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPPromisGroup(5) telProdNpMonProtDLSwTCPPromisPriority(5)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprise(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPPromisGroup(5) telProdNpMonProtDLSwTCPPromisPriority(5)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprises(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPPromisGroup(5) telProdNpMonProtDLSwTCPPromisPriority(5)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPPromisGroup(5) telProdNpMonProtDLSwTCPPromisPriority(5)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPPromisGroup(5) telProdNpMonProtDLSwTCPPromisPriority(5)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprise(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPPromisGroup(5) telProdNpMonProtDLSwTCPPromisPriority(5)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprises(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPPromisGroup(5) telProdNpMonProtDLSwTCPPromisPriority(5)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPPromisGroup(5) telProdNpMonProtDLSwTCPPromisPriority(5)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) vendor-objects(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPPromisGroup(5) telProdNpMonProtDLSwTCPPromisPriority(5)}
- OID-IRI notation
- /1/3/6/1/4/1/2007/4/1/2/3/7/10/5/5
- /ISO/Identified-Organization/6/1/4/1/2007/4/1/2/3/7/10/5/5
- /ISO/3/6/1/4/1/2007/4/1/2/3/7/10/5/5
- Named path variants
- /iso/identified-organization/dod/internet/private/enterprise/2007/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPPromisGroup/telProdNpMonProtDLSwTCPPromisPriority
- /iso/identified-organization/dod/internet/private/enterprise/teldat/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPPromisGroup/telProdNpMonProtDLSwTCPPromisPriority
- /iso/identified-organization/dod/internet/private/enterprises/2007/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPPromisGroup/telProdNpMonProtDLSwTCPPromisPriority
- /iso/identified-organization/dod/internet/private/enterprises/teldat/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPPromisGroup/telProdNpMonProtDLSwTCPPromisPriority
- /iso/identified-organization/dod/internet/private/ldap-enterprise/2007/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPPromisGroup/telProdNpMonProtDLSwTCPPromisPriority
- /iso/identified-organization/dod/internet/private/ldap-enterprise/teldat/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPPromisGroup/telProdNpMonProtDLSwTCPPromisPriority
- /iso/identified-organization/dod/internet/private/vendor-objects/2007/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPPromisGroup/telProdNpMonProtDLSwTCPPromisPriority
- /iso/identified-organization/dod/internet/private/vendor-objects/teldat/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPPromisGroup/telProdNpMonProtDLSwTCPPromisPriority
- /iso/org/dod/internet/private/enterprise/2007/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPPromisGroup/telProdNpMonProtDLSwTCPPromisPriority
- /iso/org/dod/internet/private/enterprise/teldat/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPPromisGroup/telProdNpMonProtDLSwTCPPromisPriority
- /iso/org/dod/internet/private/enterprises/2007/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPPromisGroup/telProdNpMonProtDLSwTCPPromisPriority
- /iso/org/dod/internet/private/enterprises/teldat/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPPromisGroup/telProdNpMonProtDLSwTCPPromisPriority
- /iso/org/dod/internet/private/ldap-enterprise/2007/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPPromisGroup/telProdNpMonProtDLSwTCPPromisPriority
- /iso/org/dod/internet/private/ldap-enterprise/teldat/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPPromisGroup/telProdNpMonProtDLSwTCPPromisPriority
- /iso/org/dod/internet/private/vendor-objects/2007/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPPromisGroup/telProdNpMonProtDLSwTCPPromisPriority
- /iso/org/dod/internet/private/vendor-objects/teldat/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPPromisGroup/telProdNpMonProtDLSwTCPPromisPriority
- Additional combinations skipped.
SNMP properties
- Value type
- INTEGER
- Maximum access defined by MIB
- read-write
- Status in MIB
- mandatory
- Default value
- 2
Enumerated values
| Value | Name |
|---|---|
| 1 | low |
| 2 | medium |
| 3 | high |
Using this OID with SNMP
At least one MIB declaration places this object in a scalar group. A scalar instance uses the suffix .0.
snmpget [connection options] DEVICE .1.3.6.1.4.1.2007.4.1.2.3.7.10.5.5.0
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Published definition
The displayed source records contain one distinct definition. Compare its source records.
telProdNpMonProtDLSwTCPPromisPriority OBJECT-TYPE
SYNTAX INTEGER {
high(3),
medium(2),
low(1)
}
ACCESS read-write
STATUS mandatory
DESCRIPTION
"Allows specifying neighbor priority through the values
high (3), medium (2), low (1). DLSw protocol uses this
parameter to determine which DLSw neighbor to choose
when several can reach the destination station."
DEFVAL { 2 }
::={ telProdNpMonProtDLSwTCPPromisGroup 5 }
Meaning
Descriptions
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Evidence
Source records
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Records for description 1Teldat MIB copies (MibBrowser.online)
telProdNpMonProtDLSwTCPPromisPriority · mandatoryTeldat MIB copies (MibBrowser.online)
Status in source: mandatory.
Names: telProdNpMonProtDLSwTCPPromisPriority
Technical details
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"telProdNpMonProtDLSwTCPPromisPriority",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"high",
"(",
"3",
")",
",",
"medium",
"(",
"2",
")",
",",
"low",
"(",
"1",
")",
"}",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"Allows specifying neighbor priority through the values high (3), medium (2), low (1). DLSw protocol uses this parameter to determine which DLSw neighbor to choose when several can reach the destination station.\"",
"DEFVAL",
"{",
"2",
"}",
"::=",
"{",
"telProdNpMonProtDLSwTCPPromisGroup",
"5",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"high",
3
],
[
"medium",
2
],
[
"low",
1
]
]
]
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"Allows specifying neighbor priority through the values high (3), medium (2), low (1). DLSw protocol uses this parameter to determine which DLSw neighbor to choose when several can reach the destination station."
],
null,
null,
null,
[
"DEFVAL",
2
]
]
}- Teldat MIB copies (MibBrowser.online)
· Publisher's source file: TELDAT-MON-PROTOCOL-DLSw-MIB — archive MIB indexed for Teldat
Vendor MIB copy from the MibBrowser.online archive. Teldat support.
Module: TELDAT-MON-PROTOCOL-DLSw-MIB
See published definition above
· Download TELDAT-MON-PROTOCOL-DLSw-MIB — archive MIB indexed for TeldatModule imports
{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['IpAddress', 'Counter'], 'RFC1213-MIB': ['DisplayString'], 'TELDAT-SW-STRUCTURE-MIB': ['telProdNpMonProtocols']}Related source files and packages:
- RFC-1212 — dependency MIB (MibBrowser.online)
- RFC1155-SMI — dependency MIB (MibBrowser.online)
- RFC1213-MIB — dependency MIB (MibBrowser.online)
Show more related files and packages
Registration
Registration authorities
First Registration Authority (inferred from ancestor 1.3.6.1.4.1.2007)
Siblings (11)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.5.1 | telProdNpMonProtDLSwTCPPromisTxBufsize | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.5.2 | telProdNpMonProtDLSwTCPPromisRxBufsize | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.5.3 | telProdNpMonProtDLSwTCPPromisMaxSegsize | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.5.4 | telProdNpMonProtDLSwTCPPromisKeepAlive | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.5.6 | telProdNpMonProtDLSwTCPPromisInacTime | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.5.7 | telProdNpMonProtDLSwTCPPromisLowPriMax | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.5.8 | telProdNpMonProtDLSwTCPPromisLowPriMin | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.5.9 | telProdNpMonProtDLSwTCPPromisLowPriRetries | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.5.10 | telProdNpMonProtDLSwTCPPromisLowPriTimeout | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.5.11 | telProdNpMonProtDLSwTCPPromisLowPriMaxPercent | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.5.12 | telProdNpMonProtDLSwTCPPromisLowPriMinPercent | 0 | 0 |